Chromium Code Reviews
Help | Chromium Project | Sign in
(84)

Issue 108013004: Build Autofill component on iOS. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 5 months ago by blundell
Modified:
9 months, 3 weeks ago
Reviewers:
Ilya Sherman, Jói
CC:
chromium-reviews, benquan, browser-components-watch_chromium.org, Dane Wallinga, dyu1, estade+watch_chromium.org, Ilya Sherman, rouslan+autofillwatch_chromium.org, brettw, tfarina
Base URL:
https://chromium.googlesource.com/chromium/src.git@move_autofill_ipc
Visibility:
Public.

Description

Build Autofill component on iOS. This change builds the core code of //component/autofill as well as its core unittests on iOS. The iOS driver of the Autofill component will be landed at a later date. BUG=302428, 303079 TBR=joi@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=240504

Patch Set 1 #

Total comments: 14

Patch Set 2 : Rebase #

Patch Set 3 : Response to review #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+239 lines, -219 lines) Patch
M build/ios/grit_whitelist.txt View 1 chunk +1 line, -0 lines 0 comments Download
M components/autofill.gypi View 1 2 2 chunks +216 lines, -211 lines 3 comments Download
M components/autofill/core/browser/credit_card.cc View 1 2 3 chunks +13 lines, -1 line 0 comments Download
M components/autofill/core/browser/personal_data_manager.cc View 1 chunk +3 lines, -3 lines 0 comments Download
M components/components_tests.gyp View 1 3 chunks +6 lines, -4 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 11 (0 generated)
blundell
This CL is dependent on https://codereview.chromium.org/108283005/.
1 year, 5 months ago (2013-12-11 20:42:21 UTC) #1
Ilya Sherman
https://codereview.chromium.org/108013004/diff/1/components/autofill.gypi File components/autofill.gypi (right): https://codereview.chromium.org/108013004/diff/1/components/autofill.gypi#newcode53 components/autofill.gypi:53: 'autofill/core/browser/android/personal_data_manager_android.cc', Hmm, why are these under core_common? https://codereview.chromium.org/108013004/diff/1/components/autofill.gypi#newcode238 components/autofill.gypi:238: ...
1 year, 5 months ago (2013-12-11 22:50:38 UTC) #2
blundell
Thanks! PS #2 is a rebase onto origin/master after JF's IPC CL landed. The response ...
1 year, 5 months ago (2013-12-12 20:53:54 UTC) #3
Ilya Sherman
LGTM, thanks. Super exciting closing in on the finish line! :) https://codereview.chromium.org/108013004/diff/1/components/autofill/core/browser/personal_data_manager.cc File components/autofill/core/browser/personal_data_manager.cc (right): ...
1 year, 5 months ago (2013-12-12 22:34:52 UTC) #4
blundell
Thanks for all the reviews during this process! https://codereview.chromium.org/108013004/diff/1/components/autofill/core/browser/personal_data_manager.cc File components/autofill/core/browser/personal_data_manager.cc (right): https://codereview.chromium.org/108013004/diff/1/components/autofill/core/browser/personal_data_manager.cc#newcode871 components/autofill/core/browser/personal_data_manager.cc:871: #if ...
1 year, 5 months ago (2013-12-12 22:41:29 UTC) #5
blundell
TBR: joi@ for components/components_tests.gyp
1 year, 5 months ago (2013-12-12 22:42:20 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/blundell@chromium.org/108013004/40001
1 year, 5 months ago (2013-12-12 22:44:51 UTC) #7
commit-bot: I haz the power
Change committed as 240504
1 year, 5 months ago (2013-12-13 00:53:05 UTC) #8
tfarina
https://codereview.chromium.org/108013004/diff/40001/components/autofill.gypi File components/autofill.gypi (right): https://codereview.chromium.org/108013004/diff/40001/components/autofill.gypi#newcode47 components/autofill.gypi:47: 'autofill/core/browser/android/auxiliary_profile_loader_android.cc', Ilya, Colin, why are these browser files in ...
10 months ago (2014-07-30 03:36:37 UTC) #9
Ilya Sherman
https://codereview.chromium.org/108013004/diff/40001/components/autofill.gypi File components/autofill.gypi (right): https://codereview.chromium.org/108013004/diff/40001/components/autofill.gypi#newcode47 components/autofill.gypi:47: 'autofill/core/browser/android/auxiliary_profile_loader_android.cc', On 2014/07/30 03:36:37, tfarina wrote: > Ilya, Colin, ...
10 months ago (2014-07-30 20:28:01 UTC) #10
blundell
9 months, 3 weeks ago (2014-08-06 08:58:57 UTC) #11
Message was sent while issue was closed.
https://codereview.chromium.org/108013004/diff/40001/components/autofill.gypi
File components/autofill.gypi (right):

https://codereview.chromium.org/108013004/diff/40001/components/autofill.gypi...
components/autofill.gypi:47:
'autofill/core/browser/android/auxiliary_profile_loader_android.cc',
Yeah, seems like a bug.

On 2014/07/30 20:28:01, Ilya Sherman wrote:
> On 2014/07/30 03:36:37, tfarina wrote:
> > Ilya, Colin, why are these browser files in this common target?
> > 
> > I was looking at the TODO and saw it in the GN Build file:
> >
>
https://chromium.googlesource.com/chromium/src/+/master/components/autofill/c...
> > 
> 
> Huh, that's a great question.  I bet it was an oversight, and they should be
> moved to the browser target.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be